## xsok 1.01

=== Makefile ===
# Note: Typing 'make' from this level will rebuild xsok from scratch.
#       Afterwards, type 'make install' or 'make install.fsstnd'
#	(as root) to install the game in default directories.
#	A manual is in the doc subdirectory and can be TeXed by 'make manual'.
#
#       You may change src/Imakefile for different configurations.
#       But then, you're on your own...

all:
	(cd src && xmkmf && $(MAKE) && strip xsok)
	(cd lib && $(MAKE))
	(cd src && $(MAKE) testname)

manual:
	(cd doc && $(MAKE) xsok.dvi)

# different install targets: imake default, local, Linux FSSTND
install:
	(cd src && $(MAKE) install)

install.local:
	(cd src && $(MAKE) install.local)

install.fsstnd:
	(cd src && $(MAKE) install.fsstnd)

clean:
	(cd lib && $(MAKE) clean)
	(cd src && xmkmf && $(MAKE) clean)
	(cd doc && $(MAKE) clean)
	(cd solver && $(MAKE) clean)
	rm -f src/Makefile
	find . -name "*~" -exec rm \{\} \;

distrib:
	$(MAKE) clean
	(cd ..; tar cvfz $(HOME)/xsok-1.01-src.tar.gz xsok-1.01)

bindistrib:
	(cd /; tar cvfz $(HOME)/xsok-1.01-bin.tar.gz var/games/xsok/*.score \
	 usr/games/bin/xsok usr/man/man6/xsok.6x usr/games/lib/xsok \
	usr/doc/xsok)

## xsok 1.02

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,9 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz $(HOME)/xsok-1.01-src.tar.gz xsok-1.01)
+	(cd ..; tar cvfz $(HOME)/xsok-1.02-src.tar.gz xsok-1.02)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xsok-1.01-bin.tar.gz var/games/xsok/*.score \
+	(cd /; tar cvfz $(HOME)/xsok-1.02-bin.tar.gz var/games/xsok/*.score \
 	 usr/games/bin/xsok usr/man/man6/xsok.6x usr/games/lib/xsok \
 	usr/doc/xsok)

=== doc/Makefile ===
all: xsok.ps

xsok.ps: xsok.dvi
	dvips -f < xsok.dvi > xsok.ps

xsok.dvi: xsok.tex
	latex xsok
	latex xsok
	latex xsok

clean:
	rm -f *~ *.log *.aux *.toc *.dvi *.ps

=== lib/Makefile ===
# Makefile for xsok-1.00

XSOKZIP = gzip -f -9

TARGETS = Sokoban.def.gz Xsok.def.gz Cyberbo.def.gz \
	floor.xpm.gz objects.xpm.gz

all: $(TARGETS)

Sokoban.def.gz: Sokoban
	../src/combine -s Sokoban && $(XSOKZIP) Sokoban.def

# truncate filename to 14 chars
Cyberbo.def.gz: Cyberbox
	../src/combine -s Cyberbox && mv Cyberbox.def Cyberbo.def \
	&& $(XSOKZIP) Cyberbo.def

Xsok.def.gz: Xsok
	../src/combine -s Xsok && $(XSOKZIP) Xsok.def

floor.xpm.gz: floor.xpm
	$(XSOKZIP) -c floor.xpm > floor.xpm.gz

objects.xpm.gz: objects.xpm
	$(XSOKZIP) -c objects.xpm > objects.xpm.gz

# clean target:
clean:
	rm -f *~ */*~ $(TARGETS)

=== solver/Makefile ===
CFLAGS = -g -Wall -O2
LDFLAGS = -s -N

all: solve

solve: solve.o BFS.o crc16.o

clean:
	rm -f *~ *.o solve

=== debian/changelog ===
xsok (1.02-21) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Pass default CFLAGS via CCOPTIONS variable. (Closes: #1021470)

  [ Petter Reinholdtsen ]
  * Include CPPFLAGS and LDFLAGS during build for hardening.

  [ Vagrant Cascadian ]
  * debian/rules: Convert to dh.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 May 2024 18:17:42 +0200

xsok (1.02-20) unstable; urgency=medium

  * QA upload.

  [ Matheus Faria ]
  * remove unnecessary root:games permission
  * Switch to compat level 11.
  * add watch file

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Moved to debhelper compat level 13.
  * Added simple clean target in d/rules for rebuildability (Closes: 1047658).
  * Convert d/copyright to machine readable format, including author
    statement on cyberbox (Closes: #1056146).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Apr 2024 09:20:58 +0200

xsok (1.02-19) unstable; urgency=medium

  * QA upload.
  * Explicitly declare "Rules-Requires-Root: binary-targets" (due to
    installing /usr/games/xsok and /var/games/xsok with ownership
    root:games).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Jan 2019 12:10:54 +0000

xsok (1.02-18) unstable; urgency=low

  * QA upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove 'debian/rules clean' to use the default
  * Remove debian/menu file
  * Change Maintainer to QA team since the package is orphaned

 -- Matheus Faria <matheus.sousa.faria@gmail.com>  Mon, 01 Oct 2018 00:21:57 -0300

xsok (1.02-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to compat level 10. (Closes: #817738)
  * Remove debian/override.Lintian file.
  * Provide a desktop file and a new icon. (Closes: #478985)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Thanks to Jari Aalto for the report and patch. (Closes: #664300)
  * Declare compliance with Debian Policy 3.9.8.
  * Replace dh_clean -k with dh_prep.
  * Add recommended build-arch and build-indep targets.
  * Add Homepage field and point to tracker.debian.org.
  * Use set -e in prerm script.
  * Add do-not-use-global-variable-as-counter.patch, so that xsok won't
    overwrite the last level's savefile. Thanks Bertram Felgenhauer for the
    report and patch. (Closes: #382550)
  * Translate the help files into German. Allow users to use these translated
    files when LANG=de_DE.UTF-8 is set. Thanks to Helge Kreutzmann for the
    report and the translations. (Closes: #630230)

 -- Markus Koschany <apo@debian.org>  Thu, 06 Oct 2016 23:32:23 +0200

xsok (1.02-17) unstable; urgency=low

  * Policy 3.8.0: move /usr/X11R6/lib to /usr/lib.
  * Build-Depends: xutils-dev.  (Closes: #485726)
  * Fix 'debian/rules clean' lintian warning.
  * Update 'debian/copyright' a bit, thanks again to lintian.

 -- Peter Samuelson <peter@p12n.org>  Sun, 03 May 2009 11:48:58 -0500

xsok (1.02-16) unstable; urgency=medium

  * patch 10_lots_of_stuff: break into logical patches.
    - build_tweaks, config, manpage, overflow
  * new patch no_gunzip: rip out the gunzip support.
    This had a fragile security patch in it - there were two code paths
    selected by a define in the Imakefile, and only one was fixed.
    - patch 20_gunzip_exploit_fix deleted, as it is obsolete
  * new patch wm_delete: support ICCCM, or at least WM_DELETE_WINDOW.
    Thanks to Peter de Wachter <pdewacht@vub.ac.be> for the patch.
    (Closes: #288143)
  * new patch security_paranoia: fix/remove various uses of strcpy/sprintf.
    Most of these aren't exploitable, but some might be.
  * new patch undo_nowrap: prevent "undo" command from wrapping around
    to the end of the game.  This behavior was clearly intentional, but
    it's counterintuitive and undocumented.  (Closes: #288142)
  * new patch drag_segfault: prevent segfault when trying to drag the
    player with button 2.  (Closes: #318617)
  * patch build_tweaks:
    - disable ifdef for HPArchitecture.  Obviously they mean HP-UX; we
      don't want that stuff for Debian hppa.
    - remove -O2 from CCOPTIONS, to enable DEB_BUILD_OPTIONS=noopt.
    - fix 3 gcc warnings.  All harmless, except one on 64-bit BE,
      which Debian doesn't have for this package.
  * debian/rules: support DEB_BUILD_OPTIONS=nostrip,noopt.
  * debian/rules:
    - Remove kludge around Bug #319121, it's fixed now.
    - In the same vein, override $(LOCAL_LIBRARIES) to avoid linking
      extraneous X libraries.
    - debian/control: Trim Build-Depends accordingly.
  * debian/docs: don't ship README, it's not really relevant to Debian.

 -- Peter Samuelson <peter@p12n.org>  Tue,  7 Feb 2006 06:13:55 -0600

xsok (1.02-15) unstable; urgency=low

  * New maintainer.  (Closes: #242100)
  * Bump standards version to 3.6.2 (no changes).
  * debian/rules: use debhelper 4, remove random dh_* cruft.
  * debian/rules: small cleanups; use DESTDIR for readability.
  * Do not install COPYRIGHT.* in /usr/share/doc.  These are all covered
    by 'copyright'.
  * debian/rules: hacks to "fix" what imake spits out:
    - do not link to libselinux (see #319121)
    - do not link to libXp
  * debian/control: kill xlibs-dev in favor of the real dev packages.
  * debian/patches/11_manpage: .TH section 6x, not 6.
  * debian/copyright: FSF moved again.

 -- Peter Samuelson <peter@p12n.org>  Tue,  2 Aug 2005 21:04:34 -0500

xsok (1.02-14) unstable; urgency=low

  * QA upload.
  * Decompress .gz files in /usr/share/games/xsok/ (Closes: #291513) 
  * usr/share/games/xsok added to debian/dirs

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 Jan 2005 12:41:03 +0100

xsok (1.02-13) unstable; urgency=low

  * QA upload.
  * chown user.group replaced with user:group in debian/rules and
    debian/postinst (Closes: #287994)


=== debian/control ===
Source: xsok
Priority: optional
Section: games
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Homepage: https://tracker.debian.org/pkg/xsok
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxaw7-dev,
               libxpm-dev,
               libxt-dev,
               xutils-dev
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/xsok
Vcs-Git: https://salsa.debian.org/debian/xsok.git

Package: xsok
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: generic Sokoban game for X11
 xsok is a single player strategic game, a superset of the
 well-known Sokoban game.
 .
 The target of Sokoban is to push all the objects into the
 score area of each level using the mouse or the arrow
 keys. For the other level subsets, there are different
 kinds of objects, and special effect squares.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(shell pwd)/debian/xsok

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
	  CCOPTIONS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
	  LOCAL_LIBRARIES='-lXpm -lXaw -lXt -lX11' \
	  XSOKLIBDIR=/usr/share/games/xsok \
	  XSOKSAVEDIR=/var/games/xsok

override_dh_auto_install:
	$(MAKE) install \
	  BINDIR=$(DESTDIR)/usr/games \
	  LIBDIR=$(DESTDIR)/usr/lib/X11 \
	  XSOKLIBDIR=$(DESTDIR)/usr/share/games/xsok \
	  XSOKMANDIR=$(DESTDIR)/usr/share/man/man6 \
	  XSOKSAVEDIR=$(DESTDIR)/var/games/xsok \
	  XSOKDOCDIR=$(DESTDIR)/usr/share/doc/xsok \
	  XAPPLOADDIR=$(DESTDIR)/etc/X11/app-defaults

	$(RM) $(DESTDIR)/usr/share/doc/xsok/COPYRIGHT*

override_dh_auto_clean:
	dh_auto_clean
	$(RM) lib/Cyberbox.def lib/Sokoban.def lib/Xsok.def

=== debian/watch ===
# Upstream website has since been removed.
